#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname MondoRescue

Summary:	The perl-MondoRescue provides a set of functions for the MondoRescue project
Summary(fr):	Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

Name:		perl-MondoRescue
Version:	3.3.0
Release:	0.20201022003707.s3774M.centos8
License:	GPLv2+
Group:		Applications/Archiving
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/test/src/%{srcname}-%{version}.0.20201022003707.tar.gz
BuildRoot:	%{_tmppath}/%{srcname}-%{version}-%{release}-root-%(id -u -n)
BuildArch:	noarch
Requires:	perl >= 5.6.2,perl-ProjectBuilder,perl-Net-IPv4Addr,perl-IO-Interface,
BuildRequires:	perl

%description
The perl-MondoRescue provides a set of functions for the MondoRescue project

%description -lfr
Une bibliothèque de fonction de bas niveau pour le projet MondoRescue

%prep
%setup -q -n %{srcname}-%{version}.0.20201022003707

%build
%{__perl} Makefile.PL destdir=${RPM_BUILD_ROOT}/ CONFDIR=%{_sysconfdir} CACHEDIR=%{_var}/cache TARGET=%{_exec_prefix}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mondorescue
%doc ChangeLog INSTALL COPYING README NEWS AUTHORS

%{_bindir}/*
%{_mandir}/man1/*
%{perlvendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man5/*
#%{_datadir}/mondorescue
#%{_var}/cache/mondorescue

%changelog
* Thu Oct 22 2020 Bruno Cornec <bruno@mondorescue.org> 3.3.0-0.20201022003707.s3774M
- Updated to 3.3.0

